### Method

# FwupdPlugin IOChannel write_bytes

since: 1.2.2

#### Declaration [src]

    gboolean
    fu_io_channel_write_bytes (
      FuIOChannel* self,
      GBytes* bytes,
      guint timeout_ms,
      FuIoChannelFlags flags,
      GError** error
    )

#### Description [src]

Writes bytes to the TTY, that will fail if exceeding `timeout_ms`.

Available since: 1.2.2

#### Parameters

`bytes`

  Type: `GBytes`

  Buffer to write.

  The data is owned by the caller of the method.

`timeout_ms`

  Type: `guint`

  Timeout in ms.

`flags`

  Type: `FuIoChannelFlags`

  Channel flags, e.g. `FU_IO_CHANNEL_FLAG_SINGLE_SHOT`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if all the bytes was written.